MONGOC_STREAM_FLUSH(3)

NAME
mongoc_stream_flush() - This function shall flush any buffered bytes in the underlying stream to the physical transport. It mimics the API and semantics of fflush(), forcing a write of user space buffered data.

SYNOPSIS

int
mongoc_stream_flush (mongoc_stream_t *stream);

PARAMETERS

stream
    A mongoc_stream_t \&.

This function shall flush any buffered bytes in the underlying stream to the physical transport. It mimics the API and semantics of fflush(3) , forcing a write of user space buffered data.

Not all stream implementations may implement this feature.

RETURNS

0 is returned on success, otherwise -1 and errno is set.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.